CREATE OR REPLACE VIEW V_SALDKONT_PREPAYMENTS AS
(
select a.id_saldkont_zap, a.id_saldkont, a.Znesek, a.Znesek_davka, a.Tecaj, b.n_racuna, b.za_placilo, b.protivrednost, b.DATUM, b.valuta_rn, b.davek_akont, b.tecaj_valute, b.id_racuna, f.stevilka, r.znesek as rdznesek, r.dav_stopnja, rk.opis as racun_kupca
FROM
saldkont_zap a JOIN saldkont b on a.id_pl_saldkont=b.id_saldkont 
LEFT OUTER JOIN SALDKONT_FISC f on a.id_saldkont_zap=f.id_saldkont_fisc 
LEFT OUTER JOIN RACUN_DATA R ON b.id_saldkont=r.id_saldkont
LEFT OUTER JOIN RACUNI_KUPCEV RK on b.id_racuna=rk.id_racuna
WHERE b.vrsta_racuna in ('AKO','AKF')
)
;

CREATE OR REPLACE VIEW V_SALDKONT_ADDITIONAL_TAX AS
(
select R.ID_SALDKONT, D.STOPNJA, SUM(R.NETO) AS ZNESEK_OSNOVE, SUM(R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA) AS ZNESEK_DAVKA
FROM
M_STORITVE_DAVEK D
JOIN M_STORITVE S ON S.ID_STORITVE=D.ID_STORITVE 
JOIN RACUN_DATA R ON S.ID_STORITVE=R.ID_STORITVE
WHERE D.VRSTA<>'DDV'
GROUP BY R.ID_SALDKONT, D.STOPNJA
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1169, SYSDATE, '5.5', 1089, 'dodani view-i za crystal')
;