CREATE OR REPLACE VIEW V_ST_INCOME_MISMATCH AS
SELECT S.DATUM, S.N_RACUNA, RD.ID_RACUN_DATA, RD.ZNESEK, SI.AMOUNT, ABS(RD.ZNESEK-SI.AMOUNT) AS DIFFERENCE  FROM 
SALDKONT S 
JOIN RACUN_DATA RD ON S.ID_SALDKONT=RD.ID_SALDKONT
JOIN (SELECT I.ID_RACUN_DATA, SUM(I.BRUTO) AS AMOUNT 
FROM M_STORITVE_INCOME I WHERE I.ID_RACUN_DATA IS NOT NULL GROUP BY I.ID_RACUN_DATA) SI 
ON RD.ID_RACUN_DATA=SI.ID_RACUN_DATA
WHERE S.VRSTA_RACUNA IN ('RAC', 'POS') AND ROUND(ABS(RD.ZNESEK-SI.AMOUNT), 2)>0.1
;


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1227, SYSDATE, '5.5', 1147, 'View income mismatch')
;