CREATE TABLE M_NNSTOMAR_LOCATION (
ID_STOMAR_LOCATION NUMBER NOT NULL,
SERVICE_CODE VARCHAR2(10 CHAR) NOT NULL,
NNLOCATION_ID NUMBER NOT NULL,
CONSTRAINT PK_M_NNSTOMAR_LOCATION PRIMARY KEY(ID_STOMAR_LOCATION)
)
;

CREATE SEQUENCE M_NNSTOMAR_LOCATION_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE OR REPLACE VIEW V_SERVICE_LOCATION AS
SELECT DISTINCT SIFRA, NNLOCATION_ID FROM 
(SELECT S1.SIFRA, L1.ID AS NNLOCATION_ID FROM M_NNSTOMAR S1, NNLOCATION L1 
WHERE S1.NNLOCATION_ID IS NULL AND S1.SIFRA NOT IN (SELECT SERVICE_CODE FROM M_NNSTOMAR_LOCATION)
UNION
SELECT S2.SIFRA, S2.NNLOCATION_ID FROM M_NNSTOMAR S2 WHERE S2.NNLOCATION_ID IS NOT NULL
UNION 
SELECT S3.SERVICE_CODE AS SIFRA, S3.NNLOCATION_ID FROM M_NNSTOMAR_LOCATION S3
) S
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1301, SYSDATE, '5.5', 1221, 'Service location')
;
